| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::HotPixelsWeights Class Reference

## Public Member Functions
| HotPixelsWeights (const HotPixelsWeights &w)
void | calculateHotPixelsWeights ()
unsigned int | height () const
HotPixelsWeights & | operator= (const HotPixelsWeights &w)
bool | operator== (const HotPixelsWeights &ws) const
double ** | operator[] (int n) const
unsigned int | polynomeOrder () const
const QList< QPoint > | positions () const
void | setHeight (int h)
void | setPolynomeOrder (int order)
void | setTwoDim (bool td)
void | setWidth (int w)
bool | twoDim () const
unsigned int | width () const

## Protected Member Functions
int | coefficientNumber () const
double *** | weightMatrices () const